Subject: Re: [PATCH v2] rebase -i: replace an echo command by printf

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Mar 2014 12:22:36 -0700

Uwe Storbeck <[email-masked]> writes:

> to avoid shell dependent behavior.

Please do not start the body of the log message half-sentence.  The
title ought to be a freestanding "title", not just a beginning half
of a sentence that needs to be read with the rest to be understood.

Something like this, perhaps.

    Subject: [PATCH] rebase -i: do not "echo" random user-supplied strings

    In some places we "echo" a string that come from a commit log message,
    which may have a backslash sequence that is interpreted by shells
    (POSIX.1 allows this), most notably "dash".

    A commit message which contains the string '\n' (or ends with the
    string '\c') may result in a garbage line in the todo list of an
    interactive rebase which causes the rebase to fail.

Will tentatively queue with the above rewrite, but if you feel
strongly, please send an replacement.

Thanks.